Package org.apache.wiki.tags

## Class ContentTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.ContentTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class ContentTag
    extends WikiTagBase

Is used as a "super include" tag, which can include the proper context based on the wikicontext.

Since:
  2.2
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`ContentTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doEndTag()`
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`void` `setComment​(java.lang.String s)` Set the template for the COMMENT context.
`void` `setConflict​(java.lang.String s)` Set the template for the CONFLICT context.
`void` `setDiff​(java.lang.String s)` Set the template for the DIFF context.
`void` `setEdit​(java.lang.String s)` Set the template for the EDIT context.
`void` `setError​(java.lang.String s)` Set the template for the ERROR context.
`void` `setFind​(java.lang.String s)` Set the template for the FIND context.
`void` `setInfo​(java.lang.String s)` Set the template for the INFO context.
`void` `setPrefs​(java.lang.String s)` Set the template for the PREFS context.
`void` `setPreview​(java.lang.String s)` Set the template for the PREVIEW context.
`void` `setView​(java.lang.String s)` Set the template for the VIEW context.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, initTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentTag

    public ContentTag()

### Method Detail

#### setView

    public void setView​(java.lang.String s)

Set the template for the VIEW context.

Parameters:
  `s` - The template name.

#### setDiff

    public void setDiff​(java.lang.String s)

Set the template for the DIFF context.

Parameters:
  `s` - The template name.

#### setInfo

    public void setInfo​(java.lang.String s)

Set the template for the INFO context.

Parameters:
  `s` - The template name.

#### setPreview

    public void setPreview​(java.lang.String s)

Set the template for the PREVIEW context.

Parameters:
  `s` - The template name.

#### setConflict

    public void setConflict​(java.lang.String s)

Set the template for the CONFLICT context.

Parameters:
  `s` - The template name.

#### setFind

    public void setFind​(java.lang.String s)

Set the template for the FIND context.

Parameters:
  `s` - The template name.

#### setPrefs

    public void setPrefs​(java.lang.String s)

Set the template for the PREFS context.

Parameters:
  `s` - The template name.

#### setError

    public void setError​(java.lang.String s)

Set the template for the ERROR context.

Parameters:
  `s` - The template name.

#### setEdit

    public void setEdit​(java.lang.String s)

Set the template for the EDIT context.

Parameters:
  `s` - The template name.

#### setComment

    public void setComment​(java.lang.String s)

Set the template for the COMMENT context.

Parameters:
  `s` - The template name.

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws java.io.IOException,
                                    ProviderException

This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`
  `ProviderException`

#### doEndTag

    public final int doEndTag()
                       throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `WikiTagBase`
Throws:
  `javax.servlet.jsp.JspException`